| Home | Libraries | People | FAQ | More

## Struct template member_hook

boost::intrusive::member_hook

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename Parent, typename MemberHook,
             MemberHook Parent::* PtrToMember>
    struct member_hook {
      // member classes/structs/unions
      template<typename Base>
      struct pack {
        // types
        typedef member_value_traits value_traits;
      };
      < Parent, MemberHook, PtrToMember > member_value_traits;  // @ typedef detail::member_hook_traits
    };

## Description

This option setter specifies the member hook the container must use.